Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class UnifiedELValueBinding

    java.lang.Object
      javax.faces.el.ValueBinding
          org.jboss.seam.jsf.UnifiedELValueBinding

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class UnifiedELValueBinding

extends javax.faces.el.ValueBinding
implements Serializable

Nobody should be using ValueBinding anymore, but if they are, we need this.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`UnifiedELValueBinding()` Deprecated.
`UnifiedELValueBinding(String expressionString)` Deprecated.

Method Summary
`String` | `getExpressionString()` Deprecated.
`Class` | `getType(javax.faces.context.FacesContext ctx)` Deprecated.
`Object` | `getValue(javax.faces.context.FacesContext ctx)` Deprecated.
`boolean` | `isReadOnly(javax.faces.context.FacesContext ctx)` Deprecated.
`void` | `setValue(javax.faces.context.FacesContext ctx, Object value)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnifiedELValueBinding

    public UnifiedELValueBinding(String expressionString)

  Deprecated.

### UnifiedELValueBinding

    public UnifiedELValueBinding()

  Deprecated.

Method Detail

### getExpressionString

    public String getExpressionString()

  Deprecated.
  Overrides:
    `getExpressionString` in class `javax.faces.el.ValueBinding`

### getType

    public Class getType(javax.faces.context.FacesContext ctx)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Deprecated.
  Specified by:
    `getType` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public Object getValue(javax.faces.context.FacesContext ctx)
                    throws javax.faces.el.EvaluationException,
                           javax.faces.el.PropertyNotFoundException

  Deprecated.
  Specified by:
    `getValue` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(javax.faces.context.FacesContext ctx)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Deprecated.
  Specified by:
    `isReadOnly` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(javax.faces.context.FacesContext ctx,
                         Object value)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Deprecated.
  Specified by:
    `setValue` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.